import React, { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl =
  'https://gist.githubusercontent.com/sriharsha729/c3ded2b35ff11e14bc1b1fb79591ed59/raw/31443da6ca8f56562b0b6fe65014bc0935c29cc8/Activity6_Population-1.csv';

export const useData = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    const row = (d) => {
      d.Population = +d['2020'] * 1000;
      return d;
    };
    csv(csvUrl, row).then((data) => {
      setData(data.slice(0, 30));
    });
  }, []);

  return data;
};
